<html>
    <head>
        <style>
            #testo {
                border:2px solid red;
                padding: 2px 5px 2px 10px;
                border-radius: 5px;
            }
        </style>
<script>
    function go() {
        let t1 = document.getElementById("testo");
        let t2 = document.querySelector("#testo");

        let t3 = document.getElementsByTagName('input');
        let t4 = document.querySelector("input");

        let t5 = document.querySelector(".modal input");
        if (! t2) {
            return;
        }
        alert(t2.value);
    }
</script>
    </head>
    <body>
        <div class="modal">
            <input id="testo"> <button onclick="go()">Clicca</button>
        </div>
        <div>
            <input >
        </div>
    </body>
</html>